import { ParentComponent, ComponentProps } from 'solid-js';

/**
 * @see https://prismjs.com/#supported-languages
 */
declare const Language: {
    readonly JAVASCRIPT: "javascript";
    readonly HTML: "html";
    readonly CSS: "css";
    readonly MARKUP: "markup";
    readonly XML: "xml";
    readonly SVG: "svg";
    readonly ABAP: "abap";
    readonly ABNF: "abnf";
    readonly ACTION_SCRIPT: "actionscript";
    readonly ADA: "ada";
    readonly AGDA: "agda";
    readonly AL: "al";
    readonly ANTLR4: "antlr4";
    readonly G4: "g4";
    readonly APACHE_CONFIGURATION: "apacheconf";
    readonly APEX: "apex";
    readonly APL: "apl";
    readonly APPLESCRIPT: "applescript";
    readonly AQL: "aql";
    readonly ARDUINO: "arduino";
    readonly ARFF: "arff";
    readonly ARM_ASSEMBLY: "armasm";
    readonly ARTURO: "arturo";
    readonly ASCIIDOC: "asciidoc";
    readonly ASP_NET: "aspnet";
    readonly ASSEMBLY_6502: "asm6502";
    readonly ASSEMBLY_ATMEL_AVR: "asmatmel";
    readonly AUTO_HOTKEY: "autohotkey";
    readonly AUTO_IT: "autoit";
    readonly AVI_SYNTH: "avisynth";
    readonly AVRO_IDL: "avro-idl";
    readonly AWK: "awk";
    readonly BASH: "bash";
    readonly BASIC: "basic";
    readonly BATCH: "batch";
    readonly BBCODE: "bbcode";
    readonly BBJ: "bbj";
    readonly BICEP: "bicep";
    readonly BIRB: "birb";
    readonly BISON: "bison";
    readonly BNF: "bnf";
    readonly BQN: "bqn";
    readonly BRAINFUCK: "brainfuck";
    readonly BRIGHT_SCRIPT: "brightscript";
    readonly BRO: "bro";
    readonly BSL: "bsl";
    readonly C: "c";
    readonly CSHARP: "csharp";
    readonly CPP: "cpp";
    readonly CF_SCRIPT: "cfscript";
    readonly CHAI_SCRIPT: "chaiscript";
    readonly CIL: "cil";
    readonly CILK_C: "cilkc";
    readonly CILK_CPP: "cilkcpp";
    readonly CLOJURE: "clojure";
    readonly CMAKE: "cmake";
    readonly COBOL: "cobol";
    readonly COFFEE_SCRIPT: "coffeescript";
    readonly CONCURNAS: "concurnas";
    readonly CONTENT_SECURITY_POLICY: "csp";
    readonly COOKLANG: "cooklang";
    readonly Coq: "coq";
    readonly CRYSTAL: "crystal";
    readonly CSS_EXTRAS: "css-extras";
    readonly CSV: "csv";
    readonly CUE: "cue";
    readonly CYPHER: "cypher";
    readonly D: "d";
    readonly DART: "dart";
    readonly DATA_WEAVE: "dataweave";
    readonly DAX: "dax";
    readonly DHALL: "dhall";
    readonly DIFF: "diff";
    readonly DJANGO: "django";
    readonly JINJA2: "jinja2";
    readonly DNS_ZONE_FILE: "dns-zone-file";
    readonly DOCKER: "docker";
    readonly DOT: "dot";
    readonly EBNF: "ebnf";
    readonly EDITOR_CONFIG: "editorconfig";
    readonly EIFFEL: "eiffel";
    readonly EJS: "ejs";
    readonly ELIXIR: "elixir";
    readonly ELM: "elm";
    readonly EMBEDDED_LUA_TEMPLATING: "etlua";
    readonly ERB: "erb";
    readonly ERLANG: "erlang";
    readonly EXCEL_FORMULA: "excel-formula";
    readonly FSHARP: "fsharp";
    readonly FACTOR: "factor";
    readonly FALSE: "false";
    readonly FIRESTORE_SECURITY_RULES: "firestore-security-rules";
    readonly FLOW: "flow";
    readonly FORTRAN: "fortran";
    readonly FREEMARKER_TEMPLATE_LANGUAGE: "ftl";
    readonly GAMEMAKER_LANGUAGE: "gml";
    readonly GAP: "gap";
    readonly GCODE: "gcode";
    readonly GD_SCRIPT: "gdscript";
    readonly GEDCOM: "gedcom";
    readonly GETTEXT: "gettext";
    readonly GHERKIN: "gherkin";
    readonly GIT: "git";
    readonly GLSL: "glsl";
    readonly GN: "gn";
    readonly GNU_LINKER_SCRIPT: "linker-script";
    readonly GO: "go";
    readonly GO_MODULE: "go-module";
    readonly GRADLE: "gradle";
    readonly GRAPHQL: "graphql";
    readonly GROOVY: "groovy";
    readonly HAML: "haml";
    readonly HANDLEBARS: "handlebars";
    readonly HASKELL: "haskell";
    readonly HAXE: "haxe";
    readonly HCL: "hcl";
    readonly HLSL: "hlsl";
    readonly HOON: "hoon";
    readonly HTTP: "http";
    readonly HTTP_PUBLIC_KEY_PINS: "hpkp";
    readonly HTTP_STRICT_TRANSPORT_SECURITY: "hsts";
    readonly ICHIGOJAM: "ichigojam";
    readonly ICON: "icon";
    readonly ICU_MESSAGE_FORMAT: "icu-message-format";
    readonly IDRIS: "idris";
    readonly IGNORE: "ignore";
    readonly INFORM_7: "inform7";
    readonly INI: "ini";
    readonly IO: "io";
    readonly J: "j";
    readonly JAVA: "java";
    readonly JAVADOC: "javadoc";
    readonly JAVADOC_LIKE: "javadoclike";
    readonly JAVA_STACK_TRACE: "javastacktrace";
    readonly JEXL: "jexl";
    readonly JOLIE: "jolie";
    readonly JQ: "jq";
    readonly JSDOC: "jsdoc";
    readonly JS_EXTRAS: "js-extras";
    readonly JSON: "json";
    readonly JSON5: "json5";
    readonly JSONP: "jsonp";
    readonly JS_STACK_TRACE: "jsstacktrace";
    readonly JS_TEMPLATES: "js-templates";
    readonly JULIA: "julia";
    readonly KEEPALIVED_CONFIGURE: "keepalived";
    readonly KEYMAN: "keyman";
    readonly KOTLIN: "kotlin";
    readonly KUMIR: "kumir";
    readonly KUSTO: "kusto";
    readonly LATEX: "latex";
    readonly LATTE: "latte";
    readonly LESS: "less";
    readonly LILYPOND: "lilypond";
    readonly LIQUID: "liquid";
    readonly LISP: "lisp";
    readonly LIVESCRIPT: "livescript";
    readonly LLVM: "llvm";
    readonly LOG: "log";
    readonly LOLCODE: "lolcode";
    readonly LUA: "lua";
    readonly MAGMA: "magma";
    readonly MAKEFILE: "makefile";
    readonly MARKDOWN: "markdown";
    readonly MARKUP_TEMPLATING: "markup-templating";
    readonly MATA: "mata";
    readonly MATLAB: "matlab";
    readonly MAXSCRIPT: "maxscript";
    readonly MEL: "mel";
    readonly MERMAID: "mermaid";
    readonly METAFONT: "metafont";
    readonly MIZAR: "mizar";
    readonly MONGODB: "mongodb";
    readonly MONKEY: "monkey";
    readonly MOONSCRIPT: "moonscript";
    readonly N1QL: "n1ql";
    readonly N4JS: "n4js";
    readonly NAND_TO_TETRIS_HDL: "nand2tetris";
    readonly NANINOVEL_SCRIPT: "naniscript";
    readonly NASM: "nasm";
    readonly NEON: "neon";
    readonly NEVOD: "nevod";
    readonly NGINX: "nginx";
    readonly NIM: "nim";
    readonly NIX: "nix";
    readonly NSIS: "nsis";
    readonly OBJECTIVE_C: "objectivec";
    readonly OCAML: "ocaml";
    readonly ODIN: "odin";
    readonly OPENCL: "opencl";
    readonly OPENQASM: "openqasm";
    readonly OZ: "oz";
    readonly PARI_GP: "parigp";
    readonly PARSER: "parser";
    readonly PASCAL: "pascal";
    readonly PASCALIGO: "pascaligo";
    readonly PATROL_SCRIPTING_LANGUAGE: "psl";
    readonly PC_AXIS: "pcaxis";
    readonly PEOPLECODE: "peoplecode";
    readonly PERL: "perl";
    readonly PHP: "php";
    readonly PHP_DOC: "phpdoc";
    readonly PHP_EXTRAS: "php-extras";
    readonly PLANT_UML: "plant-uml";
    readonly PL_SQL: "plsql";
    readonly POWERQUERY: "powerquery";
    readonly POWERSHELL: "powershell";
    readonly PROCESSING: "processing";
    readonly PROLOG: "prolog";
    readonly PROMQL: "promql";
    readonly PROPERTIES: "properties";
    readonly PROTOBUF: "protobuf";
    readonly PUG: "pug";
    readonly PUPPET: "puppet";
    readonly PURE: "pure";
    readonly PUREBASIC: "purebasic";
    readonly PURESCRIPT: "purescript";
    readonly PYTHON: "python";
    readonly QSHARP: "qsharp";
    readonly Q: "q";
    readonly QML: "qml";
    readonly QORE: "qore";
    readonly R: "r";
    readonly RACKET: "racket";
    readonly RAZOR: "razor";
    readonly REACT_JSX: "jsx";
    readonly REACT_TSX: "tsx";
    readonly REASON: "reason";
    readonly REGEX: "regex";
    readonly REGO: "rego";
    readonly RENPY: "renpy";
    readonly RESCRIPT: "rescript";
    readonly REST: "rest";
    readonly RIP: "rip";
    readonly ROBOCONF: "roboconf";
    readonly ROBOT_FRAMEWORK: "robotframework";
    readonly RUBY: "ruby";
    readonly RUST: "rust";
    readonly SAS: "sas";
    readonly SASS: "sass";
    readonly SCSS: "scss";
    readonly SCALA: "scala";
    readonly SCHEME: "scheme";
    readonly SHELL_SESSION: "shell-session";
    readonly SMALI: "smali";
    readonly SMALLTALK: "smalltalk";
    readonly SMARTY: "smarty";
    readonly SML: "sml";
    readonly SOLIDITY: "solidity";
    readonly SOLUTION_FILE: "solution-file";
    readonly SOY: "soy";
    readonly SPARQL: "sparql";
    readonly SPLUNK_SPL: "splunk-spl";
    readonly SQF: "sqf";
    readonly SQL: "sql";
    readonly SQUIRREL: "squirrel";
    readonly STAN: "stan";
    readonly STATA_ADO: "stata";
    readonly STRUCTURED_TEXT: "iecst";
    readonly STYLUS: "stylus";
    readonly SUPERCOLLIDER: "supercollider";
    readonly SWIFT: "swift";
    readonly SYSTEMD: "systemd";
    readonly T4_TEMPLATING: "t4-templating";
    readonly T4_CSHARP: "t4-cs";
    readonly T4_VB: "t4-vb";
    readonly TAP: "tap";
    readonly TCL: "tcl";
    readonly TEMPLATE_TOOLKIT_2: "tt2";
    readonly TEXTILE: "textile";
    readonly TOML: "toml";
    readonly TREMOR: "tremor";
    readonly TURTLE: "turtle";
    readonly TWIG: "twig";
    readonly TYPESCRIPT: "typescript";
    readonly TYPOSCRIPT: "typoscript";
    readonly UNREALSCRIPT: "unrealscript";
    readonly UO_RAZOR_SCRIPT: "uorazor";
    readonly URI: "uri";
    readonly V: "v";
    readonly VALA: "vala";
    readonly VB_NET: "vbnet";
    readonly VELOCITY: "velocity";
    readonly VERILOG: "verilog";
    readonly VHDL: "vhdl";
    readonly VIM: "vim";
    readonly VISUAL_BASIC: "visual-basic";
    readonly WARP_SCRIPT: "warpscript";
    readonly WEB_ASSEMBLY: "wasm";
    readonly WEB_IDL: "web-idl";
    readonly WGSL: "wgsl";
    readonly WIKI: "wiki";
    readonly WOLFRAM: "wolfram";
    readonly WREN: "wren";
    readonly XEORA: "xeora";
    readonly XML_DOC: "xml-doc";
    readonly XOJO: "xojo";
    readonly XQUERY: "xquery";
    readonly YAML: "yaml";
    readonly YANG: "yang";
    readonly ZIG: "zig";
};
type Language = (typeof Language)[keyof typeof Language];
type Props = {
    language: string;
} & ComponentProps<"code">;
declare const Highlight: ParentComponent<Props>;

export { Highlight, Language };
